stages:
  - &lint "🧹 LINT"

pre-commit:
  stage: *lint
  allow_failure: true
  image: fedora:latest
  before_script:
    - dnf install -y git pre-commit
  script:
    - pre-commit run --all-files --verbose --color always
  only:
    - merge_requests
